Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.builder
Interface DecisionTableConfiguration

All Superinterfaces:
  ResourceConfiguration

    public interface DecisionTableConfiguration

extends ResourceConfiguration

ResourceConfiguration for decision tables. It allows for the type of the decision, XLS or CSV, to be specified and optionally allows a worksheet name to also be specified.

Simple example showing how to build a KnowledgeBase from an XLS resource.

     KnowledgeBuilder kbuilder = KnowledgeBuilderFactory.newKnowledgeBuilder();
     DecisionTableConfiguration dtconf = KnowledgeBuilderFactory.newDecisionTableConfiguration();
     dtconf.setInputType( DecisionTableInputType.XLS );
     dtconf.setWorksheetName( "Tables_2" );
     kbuilder.add( ResourceFactory.newUrlResource( "file://IntegrationExampleTest.xls" ),
                   ResourceType.DTABLE,
                   dtconf );
     assertFalse( kbuilder.hasErrors() );
     KnowledgeBase kbase = KnowledgeBaseFactory.newKnowledgeBase();

Method Summary
`DecisionTableInputType` | `getInputType()`
`String` | `getWorksheetName()`
`void` | `setInputType(DecisionTableInputType inputType)` Specify the type of decision table resource, currently either XLS or CSV.
`void` | `setWorksheetName(String name)` Which named xls worksheet should be used.

Method Detail

### setInputType

    void setInputType(DecisionTableInputType inputType)

  Specify the type of decision table resource, currently either XLS or CSV. This parameter is mandatory.

  Parameters:
    `inputType` -

### getInputType

    DecisionTableInputType getInputType()

### setWorksheetName

    void setWorksheetName(String name)

  Which named xls worksheet should be used. This parameter is optional, and a default worksheet will be used if not specified.

  Parameters:
    `name` -

### getWorksheetName

    String getWorksheetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.